//
//		Exemple d'utilisation des routines contenues
//		dans la ROSSETMOD.lib et la ROSSETGraph.lib
//
//		Copyright 1992 Antoine ROSSET
//
//

#include "MODStructure.h"
#include "MOD.h"

main()
{

/* Initialisation de la toolbox */

InitGraf(&thePort);
InitFonts();
FlushEvents(everyEvent,0);
InitWindows();
TEInit();
InitMenus();
InitCursor();
MaxApplZone();


/* Initialisation de la librairie ROSSETMOD.lib, ncessite 400K de RAM */

if( RInitMOD( ASCMono) != noErr)	DebugStr("\pManque de mmoire");

/*	Chargement d'une musique: vRef = 0, parce qu'elle est dans le mme
	folder que l'application. Name = "MOD.Test" en chane Pascal */

if( RLoadMOD(0, "\pMOD.TEST") != noErr)	DebugStr("\pProblme avec RLoadMOD()");

/* On lance la musique */

RPlayMOD();
Reading = true;

/* Pause de 300 ticks = 5 secs */

Delay( (long) 300, 0L);


/* On change la VExt (Tempo) et la FreqExt (Pitch) */

VExt = 40;
FreqExt = 40;

/* Pause de 300 ticks = 5 secs */

Delay( (long) 300, 0L);


/* On rechange la VExt (Tempo) et la FreqExt (Pitch) aux valeurs normales*/

VExt = 80;
FreqExt = 80;


/* On attend que l'user ait press le boutton de la souris */

while( !Button());


/* On stoppe la musique */

RStopMOD();


/* On libre la mmoire occupe par MOD.Test */

RClearMOD();


/*	On libre la mmoire occupe par le RInitMOD();
	On ne peut plus appeler de routines contenues dans la RossetMOD.lib, maintenant. */
	
RQuitMOD();

FlushEvents( everyEvent, 0);
/* Et on quitte */
ExitToShell();
}

