struct VoiceActive	{
		Ptr			MaxPtr[ 4];
		Ptr			InstruVoice[ 4];
		int			loopWord[4];
		int			loopWords[4];
		int			whichInstru[4];
};
typedef		struct VoiceActive	VoiceActive;

struct	MODPartition	{
		SoundTrackSpec	*theFile;
		Ptr				InstrumentPtr[ 50];
};
typedef		struct MODPartition	MODPartition;

struct VBLRec {
    VBLTask     theVBLTask;   /* the VBL task itself */
    long        VBLA5;        /* saved CurrentA5 where we can find it */
};
typedef struct VBLRec VBLRec, *VBLRecPtr;

#ifdef MAINSYSTEM
#define EXT
#else
#define EXT extern
#endif

#define	MaxBuffer		1024

EXT	MODPartition			thePartition;
EXT	VoiceActive				theVoiceActive;
EXT	Ptr						Vol;
EXT	int						CurrentVolume[4], DriverTypeInt, InstruNote[4], whichEffet[4], whichArg[4];
EXT	unsigned char			InstruEffect;
EXT	Ptr 					PseudoBuf;
EXT	int						FreqExt, VExt, VolExt[4];
EXT	int						Tube[4], PartitionReader, Pat, PL;
EXT	struct Pattern			*PatternInt;
EXT	long					TickInterne;
EXT	Boolean					Reading;
EXT	Boolean					MusiqueFertig;

enum {
	ASCMono = 1,
	ASCStereo = 2,
	SMMono = 3,
	SMStereo = 4,
	SMDSP = 5
};

OSErr	RInitMOD( int);
OSErr 	RLoadMOD(short vRef, Str255 fName);
OSErr	RPlayMOD(void);
OSErr	RStopMOD(void);
OSErr	RQuitMOD(void);
OSErr	RResetMOD(void);
OSErr	RClearMOD(void);
OSErr	SetUpFrequence(void);
OSErr	ReadInstrument( long);
OSErr	AmigatoSnd22(Handle sound, long SizeH);
OSErr	SetMODVol(void);
OSErr 	SetMODVol2(void);

void 	BufferCopyM();
void 	BufferCopyS();
void 	TestBufferCopyS();

void	MODPlay(void);
void	InstallMODVBL(void);
void	ReadNote(int Chan);
void	RemoveMODVBL(void);
void	MODRelance(void);
void	AmigatoSnd(Handle sound, long SizeH);
void	Play(void);
void	InstallPersistentVBL(VBLTask *theVBLRec);
void	BufferCopyLeft(void);
void	BufferCopyRight(void);
void	VIAOn(void);
void 	SndOff(void);
void 	SndOn(void);
void 	BufferTestM(void);
void	VIAOn2(void);
void 	VIAOn3(void);
