struct Command {
	int InstrHiNibble : 4;
	int AmigaPeriod : 12;
	int InstrLoNibble : 4;
	int EffectCmd : 4;
	int EffectArg : 8;
};

struct Pattern {
	struct Command Commands[64][4];
};

struct FileInstrData {
	char Filename[22];
	unsigned int numWords;
	Byte fineTune;
	Byte volume;
	unsigned int loopWord;	
	unsigned int loopWords;
};

struct SoundTrackSpec {
	char NameSignature[ 20];
	struct FileInstrData fid[ 31];
	Byte numPointers;
	Byte maxPointers;
	Byte oPointers[ 128];
	long longFmtSignature;
	struct Pattern patterns[];
};
typedef struct SoundTrackSpec SoundTrackSpec;
